Bug 1189345 (CVE-2020-21681)

Summary: VUL-0: CVE-2020-21681: transfig: A global buffer overflow in the set_color component in genge.c of fig2dev 3.2.7b allows attackers to cause a denial of service (DOS) via converting a xfig file into ge format.
Product: [Novell Products] SUSE Security Incidents Reporter: Gianluca Gabrielli <gianluca.gabrielli>
Component: IncidentsAssignee: Security Team bot <security-team>
Status: RESOLVED FIXED QA Contact: Security Team bot <security-team>
Severity: Major    
Priority: P3 - Medium CC: gabriele.sonnu, rfrohl, smash_bz, werner
Version: unspecified   
Target Milestone: ---   
Hardware: Other   
OS: Other   
URL: https://smash.suse.de/issue/306186/
Whiteboard: CVSSv3.1:SUSE:CVE-2020-21681:7.5:(AV:N/AC:L/PR:N/UI:N/S:U/C:N/I:N/A:H)
Found By: Security Response Team Services Priority:
Business Priority: Blocker: ---
Marketing QA Status: --- IT Deployment: ---

Description Gianluca Gabrielli 2021-08-11 15:59:24 UTC
A global buffer overflow in the set_color component in genge.c of fig2dev 3.2.7b
allows attackers to cause a denial of service (DOS) via converting a xfig file
into ge format.

References:
http://web.nvd.nist.gov/view/vuln/detail?vulnId=CVE-2020-21681
http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2020-21681
https://sourceforge.net/p/mcj/tickets/73/
Comment 1 Gianluca Gabrielli 2021-08-11 16:00:04 UTC
Affected packages:
 - SUSE:SLE-11:Update/transfig     3.2.5
 - SUSE:SLE-12:Update/transfig     3.2.5e

Upstream patch [0].

[0] https://sourceforge.net/p/mcj/fig2dev/ci/4d4e1fdac467c386cba8706aa0067d5ab8da02d7/
Comment 2 Gianluca Gabrielli 2021-08-11 16:05:26 UTC
*** Bug 1189346 has been marked as a duplicate of this bug. ***
Comment 3 Dr. Werner Fink 2021-08-12 10:19:54 UTC
(In reply to Gianluca Gabrielli from comment #1)
> Affected packages:
>  - SUSE:SLE-11:Update/transfig     3.2.5
>  - SUSE:SLE-12:Update/transfig     3.2.5e
> 
> Upstream patch [0].
> 
> [0]
> https://sourceforge.net/p/mcj/fig2dev/ci/
> 4d4e1fdac467c386cba8706aa0067d5ab8da02d7/

Does this also affect fig2dev-3.2.8a used in the SR#248162 for SLE-12 and SR#243579 for SLE-11
Comment 4 Robert Frohl 2021-08-18 10:45:23 UTC
(In reply to Dr. Werner Fink from comment #3)
> Does this also affect fig2dev-3.2.8a used in the SR#248162 for SLE-12 and
> SR#243579 for SLE-11

up to 3.2.7b too, will also note in S:M:20224
Comment 5 Dr. Werner Fink 2021-09-10 09:18:54 UTC
What are the status of my SRs for SLE-11 and SLE-12 with 3.2.8a
Comment 6 Robert Frohl 2021-09-13 09:23:33 UTC
(In reply to Dr. Werner Fink from comment #5)
> What are the status of my SRs for SLE-11 and SLE-12 with 3.2.8a

both are waiting for QA approvals
Comment 9 Swamp Workflow Management 2021-09-16 22:27:45 UTC
# maintenance_jira_update_notice
SUSE-SU-2021:3124-1: An update that solves 8 vulnerabilities and has one errata is now available.

Category: security (moderate)
Bug References: 1136882,1159130,1159293,1161698,1186329,1189325,1189343,1189345,1189346
CVE References: CVE-2019-19555,CVE-2019-19746,CVE-2019-19797,CVE-2020-21680,CVE-2020-21681,CVE-2020-21682,CVE-2020-21683,CVE-2021-3561
JIRA References: 
Sources used:
SUSE OpenStack Cloud Crowbar 9 (src):    transfig-3.2.8a-2.17.1
SUSE OpenStack Cloud Crowbar 8 (src):    transfig-3.2.8a-2.17.1
SUSE OpenStack Cloud 9 (src):    transfig-3.2.8a-2.17.1
SUSE OpenStack Cloud 8 (src):    transfig-3.2.8a-2.17.1
SUSE Linux Enterprise Server for SAP 12-SP4 (src):    transfig-3.2.8a-2.17.1
SUSE Linux Enterprise Server for SAP 12-SP3 (src):    transfig-3.2.8a-2.17.1
SUSE Linux Enterprise Server 12-SP5 (src):    transfig-3.2.8a-2.17.1
SUSE Linux Enterprise Server 12-SP4-LTSS (src):    transfig-3.2.8a-2.17.1
SUSE Linux Enterprise Server 12-SP3-LTSS (src):    transfig-3.2.8a-2.17.1
SUSE Linux Enterprise Server 12-SP3-BCL (src):    transfig-3.2.8a-2.17.1
SUSE Linux Enterprise Server 12-SP2-BCL (src):    transfig-3.2.8a-2.17.1
HPE Helion Openstack 8 (src):    transfig-3.2.8a-2.17.1

NOTE: This line indicates an update has been released for the listed product(s). At times this might be only a partial fix. If you have questions please reach out to maintenance coordination.
Comment 10 OBSbugzilla Bot 2021-09-20 14:40:45 UTC
This is an autogenerated message for OBS integration:
This bug (1189345) was mentioned in
https://build.opensuse.org/request/show/920329 Backports:SLE-15-SP2 / transfig
https://build.opensuse.org/request/show/920330 Backports:SLE-15-SP3 / transfig
Comment 12 Swamp Workflow Management 2021-10-06 19:55:12 UTC
SUSE-SU-2021:14823-1: An update that solves 9 vulnerabilities and has one errata is now available.

Category: security (important)
Bug References: 1136882,1143650,1159130,1159293,1161698,1186329,1189325,1189343,1189345,1189346
CVE References: CVE-2019-14275,CVE-2019-19555,CVE-2019-19746,CVE-2019-19797,CVE-2020-21680,CVE-2020-21681,CVE-2020-21682,CVE-2020-21683,CVE-2021-3561
JIRA References: 
Sources used:
SUSE Linux Enterprise Server 11-SP4-LTSS (src):    transfig-3.2.8a-1.160.13.1
SUSE Linux Enterprise Point of Sale 11-SP3 (src):    transfig-3.2.8a-1.160.13.1
SUSE Linux Enterprise Debuginfo 11-SP4 (src):    transfig-3.2.8a-1.160.13.1
SUSE Linux Enterprise Debuginfo 11-SP3 (src):    transfig-3.2.8a-1.160.13.1

NOTE: This line indicates an update has been released for the listed product(s). At times this might be only a partial fix. If you have questions please reach out to maintenance coordination.
Comment 14 Swamp Workflow Management 2021-10-29 19:22:54 UTC
SUSE-SU-2021:3584-1: An update that fixes 12 vulnerabilities is now available.

Category: security (important)
Bug References: 1189325,1189343,1189345,1189346,1190607,1190611,1190612,1190615,1190616,1190617,1190618,1192019
CVE References: CVE-2020-21529,CVE-2020-21530,CVE-2020-21531,CVE-2020-21532,CVE-2020-21533,CVE-2020-21534,CVE-2020-21535,CVE-2020-21680,CVE-2020-21681,CVE-2020-21682,CVE-2020-21683,CVE-2021-32280
JIRA References: 
Sources used:
SUSE Linux Enterprise Workstation Extension 15-SP3 (src):    transfig-3.2.8b-4.15.1
SUSE Linux Enterprise Workstation Extension 15-SP2 (src):    transfig-3.2.8b-4.15.1

NOTE: This line indicates an update has been released for the listed product(s). At times this might be only a partial fix. If you have questions please reach out to maintenance coordination.
Comment 15 Swamp Workflow Management 2021-10-29 19:25:06 UTC
openSUSE-SU-2021:3584-1: An update that fixes 12 vulnerabilities is now available.

Category: security (important)
Bug References: 1189325,1189343,1189345,1189346,1190607,1190611,1190612,1190615,1190616,1190617,1190618,1192019
CVE References: CVE-2020-21529,CVE-2020-21530,CVE-2020-21531,CVE-2020-21532,CVE-2020-21533,CVE-2020-21534,CVE-2020-21535,CVE-2020-21680,CVE-2020-21681,CVE-2020-21682,CVE-2020-21683,CVE-2021-32280
JIRA References: 
Sources used:
openSUSE Leap 15.3 (src):    transfig-3.2.8b-4.15.1
Comment 16 Swamp Workflow Management 2021-11-02 17:21:41 UTC
openSUSE-SU-2021:1439-1: An update that fixes 12 vulnerabilities is now available.

Category: security (important)
Bug References: 1189325,1189343,1189345,1189346,1190607,1190611,1190612,1190615,1190616,1190617,1190618,1192019
CVE References: CVE-2020-21529,CVE-2020-21530,CVE-2020-21531,CVE-2020-21532,CVE-2020-21533,CVE-2020-21534,CVE-2020-21535,CVE-2020-21680,CVE-2020-21681,CVE-2020-21682,CVE-2020-21683,CVE-2021-32280
JIRA References: 
Sources used:
openSUSE Leap 15.2 (src):    transfig-3.2.8b-lp152.6.9.1
Comment 17 Swamp Workflow Management 2021-11-07 23:16:25 UTC
openSUSE-SU-2021:1458-1: An update that fixes 12 vulnerabilities is now available.

Category: security (important)
Bug References: 1189325,1189343,1189345,1189346,1190607,1190611,1190612,1190615,1190616,1190617,1190618,1192019
CVE References: CVE-2020-21529,CVE-2020-21530,CVE-2020-21531,CVE-2020-21532,CVE-2020-21533,CVE-2020-21534,CVE-2020-21535,CVE-2020-21680,CVE-2020-21681,CVE-2020-21682,CVE-2020-21683,CVE-2021-32280
JIRA References: 
Sources used:
openSUSE Backports SLE-15-SP2 (src):    transfig-3.2.8b-bp152.3.6.2
Comment 18 Swamp Workflow Management 2021-11-18 14:19:43 UTC
openSUSE-SU-2021:1481-1: An update that fixes 12 vulnerabilities is now available.

Category: security (important)
Bug References: 1189325,1189343,1189345,1189346,1190607,1190611,1190612,1190615,1190616,1190617,1190618,1192019
CVE References: CVE-2020-21529,CVE-2020-21530,CVE-2020-21531,CVE-2020-21532,CVE-2020-21533,CVE-2020-21534,CVE-2020-21535,CVE-2020-21680,CVE-2020-21681,CVE-2020-21682,CVE-2020-21683,CVE-2021-32280
JIRA References: 
Sources used:
openSUSE Backports SLE-15-SP3 (src):    transfig-3.2.8b-bp153.3.6.3
Comment 19 Gabriele Sonnu 2022-04-14 15:37:13 UTC
Done.